Subject: [PATCH] ARM: dts: OMAP4: Add reg and interrupts for every nodes

From: [email-masked] (Tony Lindgren)
Date: Fri, 7 Sep 2012 10:06:22 -0700

* Benoit Cousson <[email-masked]> [120907 08:26]:
> Thanks to Vaibhav <[email-masked]> omap_device fix
> (ARM: OMAP: omap_device: Fix up resource names when booted with devicetre),
> we can now specify reg and interrupts using standard device tree
> attributes.
> 
> Update the OMAP4 dtsi file with missing reg and interrupts attributes.
> 
> Signed-off-by: Benoit Cousson <[email-masked]>
> Cc: Santosh Shilimkar <[email-masked]>
> Cc: Tony Lindgren <[email-masked]>
> Cc: Felipe Balbi <[email-masked]>
> ---
> 
> Hi Tony,
> 
> This is the first step toward reduction of the hwmod data inside mach-omap2.
> OMAP2/3/4 data still need to be there for legacy boards, but it will allow
> OMAP5/AM33XX pure DT board to reduce the amount of data provided by hwmod.

That's good to hear, that should cut down the data by some hundreds of lines :)
 
> DMA is still missing, but I hope that the discussion that happened during
> LPC will fixed that soon.

Yeah and that can be added when the binding is available. The drivers should
work with and without DMA as the channels can run out.

Regards,

Tony